Subject: [Healeys] FW: Voltage Regulator for a BN7

From: "Paul Blake" <[email-masked]>
Date: Tue, 8 Jul 2014 11:13:31 +1000

Ron

In my view an original Lucas regulator is a better bet than a solid state
job.  Find an old school auto electrician (they are around and love working
on old stuff) and get them to refurbish your Lucas regulator and set it up
correctly.  They are tough units and will give good service for years and
years. If they do play up on the road you can at least adjust them to get
you home.  The important thing is to buy the right one.  They all have the
same model number (RB106/2) but the part number (usually stamped on the
side) tells you the amp rating. Healeys must have a 30 amp unit whereas most
MGs and Triumphs etc have smaller amp regulators.

Paul
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys